/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 *
 * Global enums
 *
 */



/*
 * program directories
 */
enum program_directory_enum {

	DIR_USER_DATA,
	DIR_DATA,
	DIR_CONFIG,
	DIR_GRAPHICS,
	DIR_TERRAIN,
	DIR_OBJECTS,
	DIR_CHARACTERS,
	DIR_TEXT

};



/*
 * colors
 */
enum color_enum {

	C_NIL = -1,

	C_BLACK,

	C_GRAY_11,
	C_GRAY_21,
	C_DARK_METAL,
	C_METAL,
	C_GRAY,
	C_DARK_SLATE_GRAY,
	C_SILVER,
	C_WHITE,

	C_BLOOD,
	C_MAROON,
	C_RED,

	C_PURPLE,
	C_WARLOCK_PURPLE,

	C_GREEN,
	C_POISON_GREEN,
	C_LIME,

	C_OLIVE,

	C_AQUA,
	C_CADET_BLUE,
	C_BLUE,

	C_TEAL,

	C_DARK_RUSTY,
	C_RUSTY,

	C_DARK_RADIOACTIVE,
	C_RADIOACTIVE,

	C_ARMY,
	C_JADE,

	C_DARK_GOLD,
	C_GOLD,
	C_YELLOW,

	C_VERMIN_BROWN,
	C_SIENNA,
	C_TAN,

	C_SNAKEBITE_LEATHER,
	C_FIERY_ORANGE,

	C_CREAM,
	C_BURGUNDY

};



/*
 * ANSI colors
 */
enum ansi_color_enum {

	ANSI_BLACK,
	ANSI_RED,
	ANSI_GREEN,
	ANSI_BROWN,
	ANSI_BLUE,
	ANSI_MAGENTA,
	ANSI_CYAN,
	ANSI_LIGHT_GRAY,
	ANSI_DARK_GRAY,
	ANSI_LIGHT_RED,
	ANSI_LIGHT_GREEN,
	ANSI_YELLOW,
	ANSI_LIGHT_BLUE,
	ANSI_LIGHT_MAGENTA,
	ANSI_LIGHT_CYAN,
	ANSI_WHITE

};



/*
 * genders
 */
enum gender_enum {

	GENDER_MALE,
	GENDER_FEMALE,

	GENDER_NEUTER

};



/*
 * gore levels
 */
enum gore_level_enum {

	GORE_LEVEL_ZERO,

	GORE_LEVEL_BLOOD,

	GORE_LEVEL_BODY_PART,

	GORE_LEVEL_MACHINE_PARTS,
	GORE_LEVEL_POISONED_CORPSE,
	GORE_LEVEL_CORPSE
};



/*
 * terrain attributes
 */
enum terrain_attribute_enum {

	TA_IMPASSABLE,
	TA_BLOCKS_LINE_OF_SIGHT,
	TA_CAUSES_DISEASE,
	TA_AIR,
	TA_DANGEROUS

};



/*
 * object attributes
 */
enum object_attribute_enum {

	OA_UNIQUE,
	OA_DAEMONIC,
	OA_IMPASSABLE,
	OA_DANGEROUS,
	OA_BLOCKS_LINE_OF_SIGHT,
	OA_SHOCK,
	OA_PAIN,
	OA_POWER,
	OA_FORCE,
	OA_PROJECTILE,
	OA_LASER,
	OA_PLASMA,
	OA_PLAGUE,
	OA_POISON,
	OA_SILENT,
	OA_STRENGTH_BOOST,
	OA_STRENGTH_BOOST_2,
	OA_ENVIRONMENTAL_PROTECTION,
	OA_FORCE_RUNE,
	OA_FORCE_CHANNEL,
	OA_IGNORE_ARMOUR,
	OA_HINDERS_MOVEMENT,
	OA_PARTIAL_RELOAD,
	OA_AUTOMATIC_RECHARGE,
	OA_PSYCHIC_BOLT,
	OA_ALIEN,
	OA_RELIABLE,
	OA_NOISY

};



/*
 * character flags
 */
enum character_flag_enum {

	CF_NIL = -1,

	CF_UNIQUE,
	CF_DAEMONIC,
	CF_MACHINE,
	CF_BOSS,

	CF_STUNNED,
	CF_POISONED,
	CF_DISEASED,
	CF_BROKEN,
	CF_PSYCHIC_OVERLOAD,
	CF_BUSY,

	CF_WARP_STRENGTH,
	CF_PSYCHIC_SHIELD,

	CF_FLASH,
	CF_STOIC,
	CF_NOMAT,
	CF_ZEN,
	CF_BULL,

	CF_UNNOTICED,
	CF_CANNOT_SPEAK

};



/*
 * perks
 */
enum perk_enum {

	PK_NIL = -1,

	PK_WEAPON_MAINTENANCE,
	PK_FAST_DRAW,
	PK_CRUSHING_STRIKE,
	PK_CRITICAL_STRIKE,
	PK_RAPID_STRIKE,
	PK_STEALTH,
	PK_SNEAK_ATTACK,
	PK_QUICKLOAD,
	PK_RAPID_SHOT,
	PK_BLADEMASTER,
	PK_MARKSMAN,
	PK_IMMUNITY_TO_DISEASE,
	PK_IMMUNITY_TO_POISON,
	PK_IMMUNITY_TO_PAIN,
	PK_PSYCHIC,
	PK_LEADER,
	PK_BATTLE_TACTICS,
	PK_UNCANNY_DODGE,
	PK_ALIEN_TECHNOLOGY,
	PK_DISEASE_ATTACK,
	PK_DISARM,
	PK_IMPERIAL_LANGUAGE,
	PK_FEARLESS,
	PK_CLAWS,
	PK_DAEMON_TALONS,
	PK_ALERTNESS,
	PK_FIRST_AID,
	PK_WORD_OF_THE_EMPEROR,
	PK_DRUG_RESISTANT,
	PK_GRENADIER,
	PK_ENHANCED_PARRY,
	PK_CRITICAL_SHOT,
	PK_PERSUADE,
	PK_JUMP_PACK,
	PK_PSYCHIC_RESISTANCE,
	PK_IMPROVED_EVOCATION,
	PK_BIOMANCER,
	PK_TELEPATH,
	PK_TELEKINETIC,
	PK_PYROMANCER,
	PK_DAEMONOLOGIST,
	PK_TRADING,
	PK_ROGUE_TRADING,
	PK_DIE_HARD,
	PK_MANUFACTURE_DRUGS

};



/*
 * commands
 */
enum command_enum {

	CM_NIL,
	CM_OK,
	CM_EXIT,
	CM_DROP,
	CM_INFO,
	CM_USE,
	CM_REROLL,
	CM_ADVANCEMENT,
	CM_PSY_POWERS,
	CM_UP,
	CM_DOWN,
	CM_NEAREST_ENEMY,
	CM_ADV_TARGET_MODE,
	CM_ATTACK,
	CM_TRIGGER,
	CM_INVENTORY_SCREEN,
	CM_CONCENTRATE,
	CM_EVOKE_PSY_POWER,
	CM_BLIND_VISION,
	CM_TACTICAL_COMMAND,
	CM_CHARACTER_SCREEN,
	CM_LOOK,
	CM_SONAR,
	CM_RELOAD_WEAPON,
	CM_UNJAM_WEAPON,
	CM_SWITCH_WEAPONS,
	CM_RUN,
	CM_USE_PERK,
	CM_GAME_CONTROLS_SCREEN,
	CM_HELP,
	CM_LEFT,
	CM_RIGHT,
	CM_UP_LEFT,
	CM_UP_RIGHT,
	CM_DOWN_LEFT,
	CM_DOWN_RIGHT,
	CM_WAIT,
	CM_MACRO_1,
	CM_MACRO_2,
	CM_MACRO_3,
	CM_MACRO_4,
	CM_MACRO_5,
	CM_MACRO_6,
	CM_MACRO_7,
	CM_MACRO_8,
	CM_MACRO_9,
	CM_MACRO_10,
	CM_MACRO_11,
	CM_MACRO_12,
	CM_LIST,
	CM_CURRENT_TILE,
	CM_EQUIPMENT,
	CM_S,
	CM_SA,
	CM_A,
	CM_DEBUG,
	CM_RENAME,
	CM_CAREER,
	CM_CHARACTER_1,
	CM_CHARACTER_2,
	CM_CHARACTER_3,
	CM_PAGE_UP,
	CM_PAGE_DOWN,
	CM_ADDITIONAL_INFORMATION,
	CM_BUY,
	CM_SELL,
	CM_MANUFACTURE

};



/*
 * object types
 */
enum object_type_enum {

	OTYPE_NIL,

	OTYPE_CLOSE_COMBAT_WEAPON,
	OTYPE_RANGED_COMBAT_WEAPON,

	OTYPE_ARMOUR,

	OTYPE_DRUG,

	OTYPE_ENVIRONMENT,

	OTYPE_MONEY,

	OTYPE_JUMP_PACK,

	OTYPE_TOME

};



/*
 * object subtypes
 */
enum object_subtype_enum {

	OSTYPE_NIL,

	OSTYPE_KNIFE,

	OSTYPE_PISTOL,
	OSTYPE_BASIC,

	OSTYPE_LIGHT,
	OSTYPE_MEDIUM,
	OSTYPE_HEAVY,

	OSTYPE_ANCIENT_TOME,
	OSTYPE_WARP_TOME,

	OSTYPE_ELEVATOR

};



/*
 * character types
 */
enum character_type_enum {

	CT_NIL = -1,

	CT_PC,

	CT_PARTY_NPC_1,
	CT_PARTY_NPC_2,

	CT_NPC

};



/*
 * character controllers
 */
enum character_controller_enum {

	CC_PLAYER,
	CC_AI

};



/*
 * target modes
 */
enum target_mode_enum {

	TMODE_SHOOT,
	TMODE_STRIKE,
	TMODE_PSY_POWER,
	TMODE_TRIGGER,
	TMODE_RUN,
	TMODE_JUMP,
	TMODE_DISARM

};



/*
 * message types
 */
enum message_type_enum {

	MSG_HIT,
	MSG_CRITICAL_HIT,
	MSG_MISS,
	MSG_PARRY,

	MSG_DISARM,
	MSG_DISARM_FAILS,

	MSG_PICK_UP,

	MSG_RELOAD_WEAPON,
	MSG_RECHARGE_WEAPON,
	MSG_SWITCH_WEAPONS,
	MSG_FIGHTS_UNARMED,
	MSG_WEAPON_JAMS,
	MSG_UNJAM_WEAPON,

	MSG_WEAPON_MALFUNCTIONS,
	
	MSG_WEAPON_OVERHEATS,
	MSG_WEAPON_EXPLODES,

	MSG_RESIST,
	MSG_RECOVER,

	MSG_EFFECT_ACTIVATION,
	MSG_EFFECT_TERMINATION,

	MSG_CONCENTRATE,
	MSG_EVOKE_PSY_POWER,
	MSG_EVOKE_PSY_POWER_FAILS,
	MSG_PSYCHIC_OVERLOAD,
	MSG_PSY_POWER_TERMINATION,

	MSG_USE_DRUG,
	MSG_DRUG_TERMINATION,

	MSG_FADE_INTO_SHADOWS,
	MSG_NOTICE,

	MSG_FALL_DOWN,

	MSG_DEATH,

	MSG_DESTRUCTION

};



/*
 * message object types
 */
enum message_object_type_enum {

	MOT_NIL,
	MOT_CHARACTER,
	MOT_OBJECT,
	MOT_STRING

};



/*
 * firing modes
 */
enum firing_mode_enum {

	FMODE_S,
	FMODE_SA,
	FMODE_A

};



/*
 * screen IDs
 */
enum screen_id_enum {

	SID_GAME,
	SID_SECONDARY,
	SID_DIALOG,
	SID_CHARACTER,
	SID_TITLE,
	SID_INVENTORY,
	SID_INCREASE_STAT,
	SID_NEW_PERK,
	SID_LEARN_PSY_POWER,
	SID_CHANGE_CAREER_FOLLOW_PATH,
	SID_CHANGE_CAREER_NEW_PATH,
	SID_CURRENT_POSITION

};



/*
 * psychic disciplines
 */
enum psy_discipline_enum {
	
	PSY_DISCIPLINE_NIL = -1,

	PSY_DISCIPLINE_BIOMANCY,
	PSY_DISCIPLINE_TELEPATHY,
	PSY_DISCIPLINE_TELEKINESIS,
	PSY_DISCIPLINE_PYROMANCY,
	PSY_DISCIPLINE_DAEMONOLOGY

};



/*
 * psychic powers
 */
enum psy_power_enum {

	PSY_NIL = -1,

	/* PSY_DISCIPLINE_BIOMANCY */
	PSY_REGENERATE = 0,
	PSY_REACTIVATE,
	PSY_WARP_STRENGTH,
	PSY_PURIFY_BLOOD,
	PSY_PURGE_PLAGUE,


	/* PSY_DISCIPLINE_TELEPATHY */
	PSY_TERRIFY = 5,
	PSY_PSYCHIC_SHRIEK,
	/* xxx */
	/* xxx */
	/* xxx */

	/* PSY_DISCIPLINE_TELEKINESES */
	PSY_PSYCHIC_SHIELD = 10,
	/* xxx */
	/* xxx */
	/* xxx */
	/* xxx */

	/* PSY_DISCIPLINE_PYROMANCY */
	PSY_FIREBALL = 15,
	PSY_FIRESTORM,
	/* xxx */
	/* xxx */
	/* xxx */

	/* PSY_DISCIPLINE_DAEMONOLOGY */
	PSY_BANISHMENT = 20
	/* xxx */
	/* xxx */
	/* xxx */
	/* xxx */

};



/*
 * psychic power target types
 */
enum psy_target_type_enum {

	PTT_NONE,

	PTT_CHARACTER_BIO,
	PTT_CHARACTER_ALL,
	PTT_OBJECT,
	PTT_ANY

};



/*
 * directions
 */
enum direction_enum {

	DIRECTION_NIL = -1,

	DIRECTION_UP,
	DIRECTION_DOWN,
	DIRECTION_LEFT,
	DIRECTION_RIGHT,

	DIRECTION_UP_LEFT,
	DIRECTION_UP_RIGHT,
	DIRECTION_DOWN_RIGHT,
	DIRECTION_DOWN_LEFT

};



/*
 * character stats
 */
enum stat_enum {

	S_MV,
	S_CC,
	S_RC,
	S_ST,
	S_TN,
	S_IN,
	S_LD,
	S_SG,
	S_FR

};



/*
 * career types
 */
enum career_type_enum {

	CAREER_TYPE_BASIC,
	CAREER_TYPE_ADVANCED

};



/*
 * sector classes
 */
enum sector_class_enum {

	SC_FREE,

	SC_FREE_OBJECT_LOCATION,
	SC_FREE_OBJECT_LOCATION_ANTIBLOCK,

	SC_MOVE_TARGET,
	SC_MOVE_TARGET_SAFE

};



/*
 * options
 */
enum option_enum {

	OPT_FULLSCREEN,
	OPT_BRIGHTNESS,
	OPT_CENTER_ON_PLAYER

};



/*
 * effects
 */
enum effect_enum {

	ET_NIL = -1,

	ET_POISONED,
	ET_DISEASED,
	ET_BROKEN,
	ET_STUNNED,
	ET_PSYCHIC_OVERLOAD

};



/*
 * event types
 */
enum event_type_enum {

	EVT_RELOAD_WEAPON,
	EVT_RECHARGE_WEAPON,
	EVT_UNJAM_WEAPON,
	EVT_EFFECT_TERMINATION,
	EVT_PSY_POWER_TERMINATION,
	EVT_DRUG_TERMINATION,
	EVT_POISON_DAMAGE

};



/*
 * attack types
 */
enum attack_type_enum {

	AT_NIL = -1,
	AT_STRIKE,
	AT_SHOT

};



/*
 * parties
 */
enum party_enum {

	PARTY_NIL,
	PARTY_PLAYER

};



/*
 * death types
 */
enum death_type_enum {

	DT_ATTACK,
	DT_FALL,
	DT_WEAPON_EXPLOSION,
	DT_POISON

};


/*
 * drugs
 */
enum drug_enum {

	DRUG_NIL = -1,

	DRUG_ANTIDOTE,
	DRUG_FLASH,
	DRUG_STOIC,
	DRUG_NOMAT,
	DRUG_ZEN,
	DRUG_BULL

};



/*
 * manufacture modes
 */
enum manufacture_mode_enum {

	MM_TRADER,
	MM_ROGUE_TRADER,
	MM_DRUGS

};



/*
 * price modes
 */
enum price_mode_enum {

	PRICE_MODE_TRADER,
	PRICE_MODE_ROGUE_TRADER,
	PRICE_MODE_SELL,
	PRICE_MODE_MANUFACTURE

};



/*
 * game modes
 */
enum game_mode_enum {

	GAME_MODE_NORMAL,
	GAME_MODE_IRON_MAN

};



/*
 * AI tactics
 */
enum ai_tactic_enum {

	TACTIC_NIL = -1,

	TACTIC_PLAN_A,
	TACTIC_GET_READY,
	TACTIC_STAY_CLOSE,
	TACTIC_HOLD_POSITION

};



/*
 * AI states
 */
enum ai_state_enum {

	AI_STATE_WAIT,
	AI_STATE_GUARD,
	AI_STATE_PATROL,
	
	AI_STATE_FOLLOW,
	AI_STATE_FLEE,
	AI_STATE_SEARCH,
	
	AI_STATE_COMBAT

};



/*
 * world IDs
 */
enum world_id_enum {

	WORLD_ID_PROELIUM

};



typedef enum program_directory_enum		PROGRAM_DIRECTORY;
typedef enum color_enum				COLOR;
typedef enum ansi_color_enum			ANSI_COLOR;
typedef enum gender_enum			GENDER;
typedef enum gore_level_enum			GORE_LEVEL;
typedef enum terrain_attribute_enum		TERRAIN_ATTRIBUTE;
typedef enum object_attribute_enum		OBJECT_ATTRIBUTE;
typedef enum character_flag_enum		CHARACTER_FLAG;
typedef enum perk_enum				PERK;
typedef enum command_enum			COMMAND;
typedef enum object_type_enum			OBJECT_TYPE;
typedef enum object_subtype_enum		OBJECT_SUBTYPE;
typedef enum character_type_enum		CHARACTER_TYPE;
typedef enum character_controller_enum		CHARACTER_CONTROLLER;
typedef enum target_mode_enum			TARGET_MODE;
typedef enum message_type_enum			MESSAGE_TYPE;
typedef enum message_object_type_enum		MESSAGE_OBJECT_TYPE;
typedef enum firing_mode_enum			FIRING_MODE;
typedef enum screen_id_enum			SCREEN_ID;
typedef enum psy_discipline_enum		PSY_DISCIPLINE;
typedef enum psy_power_enum			PSY_POWER;
typedef enum psy_target_type_enum		PSY_TARGET_TYPE;
typedef enum direction_enum			DIRECTION;
typedef enum stat_enum				STAT;
typedef enum career_type_enum			CAREER_TYPE;
typedef enum sector_class_enum			SECTOR_CLASS;
typedef enum option_enum			OPTION;
typedef enum effect_enum			EFFECT;
typedef enum event_type_enum			EVENT_TYPE;
typedef enum attack_type_enum			ATTACK_TYPE;
typedef enum party_enum				PARTY;
typedef enum death_type_enum			DEATH_TYPE;
typedef enum drug_enum				DRUG;
typedef enum manufacture_mode_enum		MANUFACTURE_MODE;
typedef enum price_mode_enum			PRICE_MODE;
typedef enum game_mode_enum			GAME_MODE;
typedef enum ai_tactic_enum			AI_TACTIC;
typedef enum ai_state_enum			AI_STATE;
typedef enum world_id_enum			WORLD_ID;


