/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: DataFile
 * Description: -
 */

/*
 *
 * program files
 *
 */



/*
 * help files
 */
#define MAX_HELP_FILES			16
#define FILE_HELP_STATS			"stats.txt"
#define FILE_HELP_PERKS			"perks.txt"
#define FILE_HELP_STATUS		"status.txt"
#define FILE_HELP_OBJECTS		"objects.txt"
#define FILE_HELP_TERRAIN		"terrain.txt"
#define FILE_HELP_PARTIES		"parties.txt"
#define FILE_HELP_ADVANCEMENT		"advance.txt"
#define FILE_HELP_CAREERS		NULL
#define FILE_HELP_TIMING		"timing.txt"
#define FILE_HELP_MOVEMENT		"movement.txt"
#define FILE_HELP_COMBAT		"combat.txt"
#define FILE_HELP_EVOCATION		"evoke.txt"
#define FILE_HELP_PSYCHIC_POWERS	"powers.txt"
#define FILE_HELP_MACROS		"macro.txt"
#define FILE_HELP_HINTS			"hints.txt"
#define FILE_HELP_TACTICS		"tactics.txt"



/*
 * misc. text files
 */
#define FILE_CREDITS			"credits.txt"
#define FILE_INTRO			"intro.txt"
#define FILE_DIFFICULTY_INFO		"modes.txt"



/*
 * config files
 */
#define KEYBINDINGS_FILE		"keys.rdb"
#define VIDEO_CONFIG_FILE		"video.rdb"
#define OPTIONS_FILE			"options.rdb"



/*
 * career files
 */
#define FILE_BASIC_CAREERS		"b_career.rdb"
#define FILE_ADVANCED_CAREERS		"a_career.rdb"



/*
 * names files
 */
#define FILE_NAMES_HUMAN_MALE		"human_m.nam"
#define FILE_NAMES_HUMAN_FEMALE		"human_f.nam"



/*
 * spawn files
 */
#define FILE_SPAWN			"spawn.rdb"



/*
 * NPC files
 */
#define MAX_NPC_FILES			5
#define FILE_IMPERIUM_NPCS		"imperium.rdb"
#define FILE_REBEL_NPCS			"rebels.rdb"
#define FILE_CHAOS_NPCS			"chaos.rdb"
#define FILE_ALIEN_NPCS			"aliens.rdb"
#define FILE_BEAST_NPCS			"beasts.rdb"



/*
 * object files
 */
#define MAX_OBJECT_FILES		7
#define FILE_CCW_OBJECTS		"ccw.rdb"
#define FILE_RCW_OBJECTS		"rcw.rdb"
#define FILE_DRUG_OBJECTS		"drugs.rdb"
#define FILE_ARMOUR_OBJECTS		"armours.rdb"
#define FILE_ENVIRONMENT_OBJECTS	"env.rdb"
#define FILE_MISC_OBJECTS		"misc.rdb"
#define FILE_PSYCHIC_BOLTS		"psybolts.rdb"



/*
 * terrain files
 */
#define FILE_TERRAIN			"terrain.rdb"



/*
 * character dump file
 */
#define FILE_CHARACTER_DUMP		"chardump.txt"



/*
 * log file
 */

#define FILE_LOG			"logfile.txt"



/*
 * image files
 */
#define FILE_BACKGROUND_IMAGE		"back.bmp"
#define FILE_ICON_IMAGE			"icon.bmp"
#define FILE_SYMBOLS_IMAGE		"symbols.bmp"
#define FILE_CURSOR_IMAGE		"cursor.bmp"
#define FILE_LOGO_IMAGE			"logo.bmp"


