/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Grammar
 * Description: Grammar functions for in-game text
 */


enum grammatical_person_enum {
	GRAMMATICAL_PERSON_1ST,
	GRAMMATICAL_PERSON_2ND,
	GRAMMATICAL_PERSON_3RD
};


enum article_enum {
	ARTICLE_NONE,
	ARTICLE_DEFINITE,
	ARTICLE_INDEFINITE
};


typedef enum grammatical_person_enum	GRAMMATICAL_PERSON;
typedef enum article_enum		ARTICLE;


char *			subject_string(const CHARACTER *);
char *			subject_string_o(const OBJECT *);

char *			object_string(const void *, MESSAGE_OBJECT_TYPE, ARTICLE);

char *			possessive_form(char *);

const char *		possessive_pronoun(const CHARACTER *);

const char *		conjugated_verb(const char *, GRAMMATICAL_PERSON);

GRAMMATICAL_PERSON	grammatical_person(const CHARACTER *);

char *			lowercase_object_string(const char *);





