/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: World
 * Description: -
 */

#include "mheader.h"

#include "world.h"



/*
 * returns the ID number of the currently loaded world
 */
WORLD_ID world_id(void)
{

	return WORLD_ID_PROELIUM;
}



/*
 * returns true if the coordinates of both points are equal
 */
bool world_points_equal(const WORLD_POINT *p1, const WORLD_POINT *p2)
{

	if (p1->z == p2->z && p1->y == p2->y &&
		p1->x == p2->x) {

		return true;
	}

	return false;
}


/*
 * returns true if the passed point is out of bounds
 */
bool out_of_world_bounds(const WORLD_POINT *p)
{

	if (p->z < 0 || p->y < 0 || p->x < 0 ||
		p->z > WORLD_MAX_Z || p->y > WORLD_MAX_Y ||
		p->x > WORLD_MAX_X) {

		return true;
	}

	return false;
}

